# Customer Purse API

API for customer purse

## Get Customer Purse Transaction

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Customer Purse API","description":"API for customer purse"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/customer-purse/transaction/get":{"post":{"tags":["Customer Purse API"],"summary":"Get Customer Purse Transaction","description":"Permission annotations:","operationId":"getTransaction","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerByTransactionIdRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PGTransactionDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerByTransactionIdRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByTransactionIdRequestDTO"}},"description":"Object with request data"},"ByTransactionIdRequestDTO":{"required":["transactionId"],"type":"object","properties":{"transactionId":{"type":"string","description":"Transaction ID","format":"uuid"}},"description":"Object with Transaction ID parameter"},"PGTransactionDTO":{"required":["addressFrom","amount","complianceState","createdDate","currency","id","transactionState","translationToAccountCompleted"],"type":"object","properties":{"id":{"type":"string","description":"Transaction ID","format":"uuid"},"amount":{"type":"number","description":"Amount"},"addressFrom":{"type":"string","description":"Address from"},"currency":{"type":"string","description":"Currency"},"transactionHash":{"type":"string","description":"Hash"},"transactionState":{"type":"string","description":"Transaction State","enum":["MEM_POOL_FOUND","CONFIRMED","PENDING_COMPLIANCE_CHECK","DECLINED"]},"complianceState":{"type":"string","description":"Compliance State","enum":["UNCHECKED","IN_PROGRESS","DECLINE","CHECKED"]},"translationToAccountCompleted":{"type":"boolean","description":"Translation to account completed"},"createdDate":{"type":"string","description":"Date","format":"date-time"}},"description":"Transaction data"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Find Customer Purse Transactions

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Customer Purse API","description":"API for customer purse"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/customer-purse/transaction/find":{"post":{"tags":["Customer Purse API"],"summary":"Find Customer Purse Transactions","description":"Permission annotations:","operationId":"getTransactions_1","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPGTransactionSearchDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageDTOPGTransactionDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPGTransactionSearchDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PGTransactionSearchDTO"}},"description":"Object with request data"},"PGTransactionSearchDTO":{"required":["customerId","pageNumber","pageSize","properties","sort"],"type":"object","properties":{"customerId":{"type":"string","description":"Customer ID","format":"uuid"},"currencyFilter":{"$ref":"#/components/schemas/StringFilter"},"transactionStateFilter":{"$ref":"#/components/schemas/FilterPurseTransactionState"},"pageNumber":{"type":"integer","description":"Numeric value indicating the page number","format":"int32","default":1},"pageSize":{"type":"integer","description":"Numeric value indicating the page size","format":"int32","default":10},"sort":{"type":"string","description":"Direction of result values which can be asc or desc","default":"ASC","enum":["ASC","DESC"]},"properties":{"type":"string","description":"Attribute by which sorting is performed. Accept the parameter name by which sorting is needed"}},"description":"Request data to find customer transactions"},"StringFilter":{"type":"object","properties":{"equals":{"type":"string"},"notEquals":{"type":"string"},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string"}},"notIn":{"type":"array","items":{"type":"string"}},"contains":{"type":"string"},"doesNotContain":{"type":"string"}},"description":"Currency Filter"},"FilterPurseTransactionState":{"type":"object","properties":{"equals":{"type":"string","enum":["MEM_POOL_FOUND","CONFIRMED","PENDING_COMPLIANCE_CHECK","DECLINED"]},"notEquals":{"type":"string","enum":["MEM_POOL_FOUND","CONFIRMED","PENDING_COMPLIANCE_CHECK","DECLINED"]},"specified":{"type":"boolean"},"in":{"type":"array","items":{"type":"string","enum":["MEM_POOL_FOUND","CONFIRMED","PENDING_COMPLIANCE_CHECK","DECLINED"]}},"notIn":{"type":"array","items":{"type":"string","enum":["MEM_POOL_FOUND","CONFIRMED","PENDING_COMPLIANCE_CHECK","DECLINED"]}}},"description":"Transaction State Filter"},"PageDTOPGTransactionDTO":{"required":["page","result","size","total","totalElements"],"type":"object","properties":{"result":{"type":"array","description":"Array of requested objects","items":{"$ref":"#/components/schemas/PGTransactionDTO"}},"page":{"type":"integer","description":"Numeric value indicating the page number","format":"int32"},"size":{"type":"integer","description":"Numeric value indicating the page size","format":"int32"},"total":{"type":"integer","description":"Total number of pages matching the query","format":"int32"},"totalElements":{"type":"integer","description":"Total number of objects matching the query","format":"int64"}},"description":"Object with page details"},"PGTransactionDTO":{"required":["addressFrom","amount","complianceState","createdDate","currency","id","transactionState","translationToAccountCompleted"],"type":"object","properties":{"id":{"type":"string","description":"Transaction ID","format":"uuid"},"amount":{"type":"number","description":"Amount"},"addressFrom":{"type":"string","description":"Address from"},"currency":{"type":"string","description":"Currency"},"transactionHash":{"type":"string","description":"Hash"},"transactionState":{"type":"string","description":"Transaction State","enum":["MEM_POOL_FOUND","CONFIRMED","PENDING_COMPLIANCE_CHECK","DECLINED"]},"complianceState":{"type":"string","description":"Compliance State","enum":["UNCHECKED","IN_PROGRESS","DECLINE","CHECKED"]},"translationToAccountCompleted":{"type":"boolean","description":"Translation to account completed"},"createdDate":{"type":"string","description":"Date","format":"date-time"}},"description":"Transaction data"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get Customer Purses

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Customer Purse API","description":"API for customer purse"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/customer-purse/purse/get-all":{"post":{"tags":["Customer Purse API"],"summary":"Get Customer Purses","description":"Permission annotations:","operationId":"getPurses","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerByCustomerIdRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PGPursesDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerByCustomerIdRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByCustomerIdRequestDTO"}},"description":"Object with request data"},"ByCustomerIdRequestDTO":{"required":["customerId"],"type":"object","properties":{"customerId":{"type":"string","description":"Customer ID","format":"uuid"}},"description":"Object with Customer ID parameter"},"PGPursesDTO":{"required":["purses"],"type":"object","properties":{"purses":{"type":"array","description":"Purses","items":{"$ref":"#/components/schemas/PGPurseDTO"}}}},"PGPurseDTO":{"required":["address","createdDate","currencies","id"],"type":"object","properties":{"id":{"type":"string","description":"Purse ID","format":"uuid"},"address":{"type":"string","description":"Address"},"currencies":{"uniqueItems":true,"type":"array","description":"Available Currencies","items":{"type":"string","description":"Available Currencies"}},"createdDate":{"type":"string","description":"Created Date","format":"date-time"}},"description":"Purse data"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Update Customer

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Customer Purse API","description":"API for customer purse"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/customer-purse/customer/update":{"post":{"tags":["Customer Purse API"],"summary":"Update Customer","description":"Permission annotations:","operationId":"updateCustomer","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPGCustomerUpdateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PGCustomerDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPGCustomerUpdateDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PGCustomerUpdateDTO"}},"description":"Object with request data"},"PGCustomerUpdateDTO":{"required":["id"],"type":"object","properties":{"id":{"type":"string","description":"ID","format":"uuid"},"email":{"type":"string","description":"Email"},"description":{"maxLength":1000,"minLength":0,"type":"string","description":"Description"}},"description":"Request data for changing Customer data"},"PGCustomerDTO":{"required":["blocked","id"],"type":"object","properties":{"id":{"type":"string","description":"ID","format":"uuid"},"email":{"type":"string","description":"Email"},"description":{"type":"string","description":"Description"},"externalId":{"type":"string","description":"External Id"},"blocked":{"type":"boolean","description":"The blocking flag"}},"description":"Customer data"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Unblock Customer

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Customer Purse API","description":"API for customer purse"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/customer-purse/customer/unblock":{"post":{"tags":["Customer Purse API"],"summary":"Unblock Customer","description":"Permission annotations:","operationId":"unblockCustomer","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerByCustomerIdRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PGCustomerDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerByCustomerIdRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByCustomerIdRequestDTO"}},"description":"Object with request data"},"ByCustomerIdRequestDTO":{"required":["customerId"],"type":"object","properties":{"customerId":{"type":"string","description":"Customer ID","format":"uuid"}},"description":"Object with Customer ID parameter"},"PGCustomerDTO":{"required":["blocked","id"],"type":"object","properties":{"id":{"type":"string","description":"ID","format":"uuid"},"email":{"type":"string","description":"Email"},"description":{"type":"string","description":"Description"},"externalId":{"type":"string","description":"External Id"},"blocked":{"type":"boolean","description":"The blocking flag"}},"description":"Customer data"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get Customer

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Customer Purse API","description":"API for customer purse"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/customer-purse/customer/get":{"post":{"tags":["Customer Purse API"],"summary":"Get Customer","description":"Permission annotations:","operationId":"getCustomer","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerByCustomerIdRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PGCustomerDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerByCustomerIdRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByCustomerIdRequestDTO"}},"description":"Object with request data"},"ByCustomerIdRequestDTO":{"required":["customerId"],"type":"object","properties":{"customerId":{"type":"string","description":"Customer ID","format":"uuid"}},"description":"Object with Customer ID parameter"},"PGCustomerDTO":{"required":["blocked","id"],"type":"object","properties":{"id":{"type":"string","description":"ID","format":"uuid"},"email":{"type":"string","description":"Email"},"description":{"type":"string","description":"Description"},"externalId":{"type":"string","description":"External Id"},"blocked":{"type":"boolean","description":"The blocking flag"}},"description":"Customer data"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get Customers by external id

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Customer Purse API","description":"API for customer purse"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/customer-purse/customer/external/get":{"post":{"tags":["Customer Purse API"],"summary":"Get Customers by external id","description":"Permission annotations:","operationId":"getCustomerByExternalId","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerByExternalIdRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PGCustomerListDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerByExternalIdRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByExternalIdRequestDTO"}},"description":"Object with request data"},"ByExternalIdRequestDTO":{"required":["externalId"],"type":"object","properties":{"externalId":{"type":"string","description":"External ID"}},"description":"Object with external id parameter"},"PGCustomerListDTO":{"required":["customers"],"type":"object","properties":{"customers":{"type":"array","items":{"$ref":"#/components/schemas/PGCustomerDTO"}}}},"PGCustomerDTO":{"required":["blocked","id"],"type":"object","properties":{"id":{"type":"string","description":"ID","format":"uuid"},"email":{"type":"string","description":"Email"},"description":{"type":"string","description":"Description"},"externalId":{"type":"string","description":"External Id"},"blocked":{"type":"boolean","description":"The blocking flag"}},"description":"Customer data"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Create new Customer

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Customer Purse API","description":"API for customer purse"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/customer-purse/customer/create":{"post":{"tags":["Customer Purse API"],"summary":"Create new Customer","description":"Permission annotations:","operationId":"createCustomer","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPGCustomerCreateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PGCustomerDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPGCustomerCreateDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PGCustomerCreateDTO"}},"description":"Object with request data"},"PGCustomerCreateDTO":{"type":"object","properties":{"email":{"type":"string","description":"Email"},"description":{"maxLength":1000,"minLength":0,"type":"string","description":"Description"},"externalId":{"maxLength":255,"minLength":0,"type":"string","description":"External Id"}},"description":"Request data for creating a new Customer"},"PGCustomerDTO":{"required":["blocked","id"],"type":"object","properties":{"id":{"type":"string","description":"ID","format":"uuid"},"email":{"type":"string","description":"Email"},"description":{"type":"string","description":"Description"},"externalId":{"type":"string","description":"External Id"},"blocked":{"type":"boolean","description":"The blocking flag"}},"description":"Customer data"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Block Customer

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Customer Purse API","description":"API for customer purse"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/customer-purse/customer/block":{"post":{"tags":["Customer Purse API"],"summary":"Block Customer","description":"Permission annotations:","operationId":"blockCustomer","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerByCustomerIdRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PGCustomerDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerByCustomerIdRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/ByCustomerIdRequestDTO"}},"description":"Object with request data"},"ByCustomerIdRequestDTO":{"required":["customerId"],"type":"object","properties":{"customerId":{"type":"string","description":"Customer ID","format":"uuid"}},"description":"Object with Customer ID parameter"},"PGCustomerDTO":{"required":["blocked","id"],"type":"object","properties":{"id":{"type":"string","description":"ID","format":"uuid"},"email":{"type":"string","description":"Email"},"description":{"type":"string","description":"Description"},"externalId":{"type":"string","description":"External Id"},"blocked":{"type":"boolean","description":"The blocking flag"}},"description":"Customer data"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get Customer Purse Address

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Customer Purse API","description":"API for customer purse"}],"servers":[{"url":"https://api.calypso.finance","description":"Generated server url"}],"paths":{"/api/v1/customer-purse/address/get":{"post":{"tags":["Customer Purse API"],"summary":"Get Customer Purse Address","description":"Permission annotations:","operationId":"getPurseAddress","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerGetPurseAddressRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PGPurseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerGetPurseAddressRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/GetPurseAddressRequestDTO"}},"description":"Object with request data"},"GetPurseAddressRequestDTO":{"required":["currency","customerId"],"type":"object","properties":{"customerId":{"type":"string","description":"Customer ID","format":"uuid"},"currency":{"type":"string","description":"Currency Ticker"}},"description":"Object with Customer ID and Currency parameters"},"PGPurseDTO":{"required":["address","createdDate","currencies","id"],"type":"object","properties":{"id":{"type":"string","description":"Purse ID","format":"uuid"},"address":{"type":"string","description":"Address"},"currencies":{"uniqueItems":true,"type":"array","description":"Available Currencies","items":{"type":"string","description":"Available Currencies"}},"createdDate":{"type":"string","description":"Created Date","format":"date-time"}},"description":"Purse data"},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```
